[原创]根据.jigdo文件下载硬盘安装ubuntu所需的vmlinuz和initrd.gz

为当前最终发行版之前的所有版本提供支持
回复
twelfe
帖子: 2
注册时间: 2006-05-16 16:26
送出感谢: 0
接收感谢: 0

[原创]根据.jigdo文件下载硬盘安装ubuntu所需的vmlinuz和initrd.gz

#1

帖子 twelfe » 2006-05-16 16:34

打开 http://releases.ubuntu.com/6.06/ 下的文件 ubuntu-6.06-beta2-install-i386.jigdo
查找 "cdrom/initrd.gz" 发现
7c1MrxlkThn8jIbW1yVEiQ=Debian:dists/dapper/main/installer-i386/20051026ubuntu29/images/cdrom/initrd.gz

这意味着你需要 20051026ubuntu29 版本的 initrd.gz 和 vmlinuz 来进行硬盘安装,一般来说官方的archive已经把那个版本删除了,所以从 http://archive.ubuntu.com 上找不到以下两个文件:
/dapper/main/installer-i386/20051026ubuntu29/images/hd-image/initrd.gz
/dapper/main/installer-i386/20051026ubuntu29/images/hd-image/vmlinuz

因此你需要用 google 在某个镜像站点上找到它, 查找 20051026ubuntu29, 从第一个结果站点:
http://ftp.interlegis.gov.br/pub/ubuntu/archive/dists /dapper/main/installer-i386/20051026ubuntu29/images/hd-media/
下载的 initrd.gz 和 vmlinuz 就是相应的硬盘安装启动文件。

这个方法适用于所有ubuntu版本。我用它装过flight 5 和beta 2。
ifu
帖子: 130
注册时间: 2005-10-25 15:08
来自: 杭州
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 ifu » 2006-05-16 19:11

终于被我找到了..谢谢楼上
stbodhi
帖子: 46
注册时间: 2006-04-25 20:00
送出感谢: 0
接收感谢: 0

#3

帖子 stbodhi » 2006-05-17 9:05

谢谢。楼主,你好强。。。
头像
guoshuang
帖子: 153
注册时间: 2006-03-29 11:54
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 guoshuang » 2006-05-17 9:15

上次我扎势下载 ubuntu-6.06-beta2-install-i386 硬盘安装失败,估计与此有关。但后来刻光盘安装仍然失败,据巩骚的正确说法应该是:

因为 ubuntu beta 不能识别上次安装所建立的 grub 引导,安装前再 fdisk/mbr、,然后安装 ubuntu beta 即可。

请指正,谢谢
twelfe
帖子: 2
注册时间: 2006-05-16 16:26
送出感谢: 0
接收感谢: 0

#5

帖子 twelfe » 2006-05-18 20:43

guoshuang 写了:上次我扎势下载 ubuntu-6.06-beta2-install-i386 硬盘安装失败,估计与此有关。但后来刻光盘安装仍然失败,据巩骚的正确说法应该是:

因为 ubuntu beta 不能识别上次安装所建立的 grub 引导,安装前再 fdisk/mbr、,然后安装 ubuntu beta 即可。

请指正,谢谢
不好意思,我没碰到过类似的问题(舍不得刻盘)。我总觉得把grub装在mbr上不大放心,都是装在/boot上的:)。
kaisa
帖子: 7
注册时间: 2007-01-29 13:46
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

我怎么找不到

#6

帖子 kaisa » 2007-01-31 12:18

initrd.gz 和vmlinuz怎么下不下来啊.
硬盘安装你门都是在什么界面下安装呀,windows还是linux啊.能不能提供一下你的看法啊. :?: :?: :?: :?: :?:
欢迎指教。
回复

回到 “老旧版本支持”